/*
 * @Author: iR
 * @Date: 2022-03-11 20:22:54
 * @LastEditors: iR
 * @LastEditTime: 2022-03-12 13:35:35
 * @FilePath: \Code\1-1a\main.cpp
 * @Description:
 *
 * Copyright (c) 2022 by iR, All Rights Reserved.
 */

#include "../inc/matrix.hpp"
#include <stdio.h>
int main()
{
    double data[] = {1, 2, 3, 4};
    Matrix<double> a(2, 2, data);
    Matrix<double> b(2, 2, 5);
    Matrix<double> c = a;
    Matrix<double> d;

    return 0;
}
